RemoteGymp · API v1
Riferimento API
Accesso e comportamento
Gli esempi di riferimento sono i modelli. Sostituisci i segnaposto e controlla i parametri, le autorizzazioni e lo schema dell'endpoint prima di eseguirli. Per le scritture incerte, seguire le regole di ripristino e riprova dell'endpoint.
Richiede un token di connessione e le autorizzazioni dell'endpoint. L'accesso rimane limitato all'ambito delle tue credenziali. Verificare le funzionalità prima di utilizzare il dispositivo o le azioni di gestione.
Risultati della ricerca: 289
Nessun risultato trovato.
AI11
POSTLeggi le azioni AI salvate/v1/assistant/actions
Leggi le azioni salvate per l'ambito dell'assistente fornito.
POST /v1/assistant/actions ↗mcp.cap.AssistantRead
Schemi (OpenAPI)
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"kind": 0
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/actions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Read saved actions for the supplied assistant scope.",
"operationId": "post_v1_assistant_actions",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationHierarchyScope"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantSavedAction"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read saved AI actions",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTApplicare un'attività AI/v1/assistant/apply
Applicare il lavoro supportato da un'attività dell'assistente utilizzando le approvazioni e i vincoli richiesti.
POST /v1/assistant/apply ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute + mcp.cap.AssistantApply
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/apply' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Apply supported work from an assistant task using its required approvals and constraints.",
"operationId": "post_v1_assistant_apply",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Apply an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantApply"
]
}GETLeggi la policy sulle azioni elevate dell'AI/v1/assistant/elevated-policy
Ispezionare la politica che regola le azioni elevate dell'assistente prima di pianificare il lavoro.
GET /v1/assistant/elevated-policy ↗mcp.cap.AssistantRead
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/elevated-policy' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Inspect the policy governing elevated assistant actions before planning work.",
"operationId": "get_v1_assistant_elevated_policy",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiAssistantPolicy"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI elevated-action policy",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTStimare un'attività AI/v1/assistant/estimate
Stimare un'attività dell'assistente proposta prima di avviarla.
POST /v1/assistant/estimate ↗mcp.cap.AssistantRead
Schemi (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/estimate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Estimate a proposed assistant task before starting it.",
"operationId": "post_v1_assistant_estimate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantEstimate"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Estimate an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTEsegui un pilota AI/v1/assistant/pilot
Esegui il flusso di lavoro pilota dell'attività dell'assistente prima di un'implementazione più ampia.
POST /v1/assistant/pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"deviceId": "<UUID>",
"proposalId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Run the assistant task's pilot workflow before a broader rollout.",
"operationId": "post_v1_assistant_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantPilot"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}GETLeggi i rapporti AI/v1/assistant/reports
Leggere i report prodotti dalle attività dell'assistente.
GET /v1/assistant/reports ↗mcp.cap.AssistantRead
Schemi (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationScheduleKind
0 = Once 1 = Interval 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = Cron
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/reports' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read reports produced by assistant tasks.",
"operationId": "get_v1_assistant_reports",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationReportScheduleView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read AI reports",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}POSTRiprova un pilota AI/v1/assistant/retry-pilot
Richiedere un nuovo tentativo all'assistente pilota utilizzando il contesto dell'attività fornito.
POST /v1/assistant/retry-pilot ↗mcp.cap.AutomationExecute + mcp.cap.AssistantPilot
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/retry-pilot' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Request a retry of the assistant pilot using the supplied task context.",
"operationId": "post_v1_assistant_retry_pilot",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Retry an AI pilot",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AutomationExecute",
"mcp.cap.AssistantPilot"
]
}POSTAvvia un'attività AI/v1/assistant/start
Avvia un'attività dell'assistente con gli obiettivi e le istruzioni forniti.
POST /v1/assistant/start ↗mcp.cap.AssistantPropose
Schemi (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"acceptQuotedCharge": false,
"estimateToken": "<estimateToken>",
"request": {
"execute": false,
"recipients": [
"<value>"
],
"request": "<value>",
"scope": {
"kind": 0
},
"submissionKey": "<value>",
"timeZoneId": "<value>"
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/start' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Start an assistant task with the supplied targets and instructions.",
"operationId": "post_v1_assistant_start",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationAssistantStart"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Start an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantPropose"
]
}POSTIspeziona il contesto target dell'AI/v1/assistant/target-context
Leggere il contesto di destinazione consentito utilizzato per preparare un'attività dell'assistente.
POST /v1/assistant/target-context ↗mcp.cap.AssistantRead
Schemi (OpenAPI)
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/assistant/target-context' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Read the permitted target context used to prepare an assistant task.",
"operationId": "post_v1_assistant_target_context",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAssistantTargets"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantTargetContext"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Inspect AI target context",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETElenca le attività AI/v1/assistant/tasks
Sfoglia le attività dell'assistente AI visibili nelle tue credenziali.
GET /v1/assistant/tasks ↗mcp.cap.AssistantRead
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Browse AI assistant tasks visible to your credential.",
"operationId": "get_v1_assistant_tasks",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAssistantHistoryItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List AI tasks",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}GETOttieni un compito AI/v1/assistant/tasks/{id}
Leggere lo stato e i dettagli di un'attività dell'assistente.
GET /v1/assistant/tasks/{id} ↗mcp.cap.AssistantRead
Schemi (OpenAPI)
AutomationNotificationAudience
0 = None 1 = Owners 2 = Technicians 4 = Clients
AutomationNotificationChannel
0 = None 1 = InApp 2 = Email
AutomationSimpleActionKind
0 = Script 1 = Notification 2 = RefreshFacts 3 = ControlService 4 = RestartDevice 5 = WindowsDiskCleanup 6 = LinuxMaintenance 7 = WakeDevice 8 = SendUserMessage 9 = UninstallSoftware
LinuxMaintenanceAction
0 = RefreshPackageInventory 1 = InstallPackageUpdates 2 = RefreshFirmwareMetadata 3 = InstallFirmwareUpdates 4 = InstallAllUpdates
AutomationOutcomeMatch
0 = Failure 1 = Success 2 = Always 3 = ResultMatches
AutomationNotificationSeverity
0 = Information 1 = Warning 2 = Critical 3 = Recovery
AutomationScriptPlatform
0 = WindowsPowerShell51 1 = LinuxBash 2 = MacOsZsh 3 = WindowsCmd 4 = WindowsPowerShell7 5 = LinuxPowerShell7 6 = MacOsPowerShell7 7 = WindowsPython3 8 = LinuxPython3 9 = MacOsPython3
ServiceAction
0 = Start 1 = Stop 2 = Restart
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
AutomationTruthValue
0 = False 1 = True 2 = Unknown
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
id· Percorso · richiesto- Identificatore restituito dall'elenco di risorse o dal risultato della creazione corrispondente.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/assistant/tasks/<id>' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read one assistant task's state and details.",
"operationId": "get_v1_assistant_tasks_id",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAssistantResult"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an AI task",
"tags": [
"AI"
],
"x-required-capabilities": [
"mcp.cap.AssistantRead"
]
}API5
POSTOttieni un token di accesso/v1/auth/token
Scambia le tue credenziali API con un token al portatore di breve durata da utilizzare nelle richieste successive.
POST /v1/auth/token ↗Utilizza le credenziali API create in Impostazioni → Accesso API. Per questo scambio non è necessario alcun token al portatore.
password: Questo campo JSON contiene il segreto della tua credenziale API, non la password di accesso all'account.
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
'Content-Type' = 'application/json'
}
$body = '{
"password": "<your-API-credential-secret>",
"username": "<your-API-credential-username>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/auth/token' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Exchange API username and credential password for an opaque bearer token valid for 1800 seconds. Network, paid entitlement and regional token-attempt limits apply.",
"operationId": "post_v1_auth_token",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TokenRequest"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PublicApiTokenResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"summary": "Get an access token",
"tags": [
"API"
]
}GETVerifica le funzionalità disponibili/v1/capabilities
Visualizza le funzionalità, le autorizzazioni e i limiti disponibili per le tue credenziali prima di utilizzare un'integrazione.
GET /v1/capabilities ↗Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/capabilities' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "See the features, permissions and limits available to your credential before using an integration.",
"operationId": "get_v1_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CapabilitiesResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check available features",
"tags": [
"API"
],
"x-required-capabilities": []
}GETControllare l'accesso API/v1/health
Verifica che le tue credenziali possano raggiungere ed autenticarsi con API.
GET /v1/health ↗Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/health' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Check that your credential can reach and authenticate with the API.",
"operationId": "get_v1_health",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/HealthResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check API access",
"tags": [
"API"
],
"x-required-capabilities": []
}GETControllare le opzioni di installazione/v1/management/installers/capabilities
Scopri le funzionalità di installazione disponibili su questo host.
GET /v1/management/installers/capabilities ↗mcp.cap.EnrollmentRead
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/management/installers/capabilities' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Discover the installer capabilities available on this host.",
"operationId": "get_v1_management_installers_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiInstallerCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check installer options",
"tags": [
"Management"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentRead"
]
}GETControllare le capacità operative/v1/operations/capabilities
Scopri le funzionalità operative di integrazione prima di tentare azioni sul dispositivo.
GET /v1/operations/capabilities ↗Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/operations/capabilities' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Discover integration operation capabilities before attempting device actions.",
"operationId": "get_v1_operations_capabilities",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiOperationCapabilities"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check operation capabilities",
"tags": [
"Operations"
],
"x-required-capabilities": []
}Automazione72
PUTInstradamento degli avvisi di salvataggio/v1/automation/alert-routing
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
PUT /v1/automation/alert-routing ↗mcp.cap.AutomationManage + mcp.cap.AlertWrite
Schemi (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_alert_routing",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfAutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AlertWrite"
]
}POSTValida l'instradamento degli allerti/v1/automation/alert-routing/validate
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
POST /v1/automation/alert-routing/validate ↗mcp.cap.AutomationRead
Schemi (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"companyId": "<UUID>",
"expectedRevision": 1,
"id": "<UUID>",
"kind": 0,
"name": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alert-routing/validate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_alert_routing_validate",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationValidation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Validate alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTRiconoscere un avviso del monitor/v1/automation/alerts/{id}/acknowledge
Conferma un avviso tramite il servizio di automazione. Invia idempotencyKey nel corpo della richiesta e segui la ricevuta dell'operazione restituita. Non risolve il problema.
POST /v1/automation/alerts/{id}/acknowledge ↗mcp.cap.AutomationManage
Parametri
id· Percorso · richiesto- Identificatore restituito dall'elenco di risorse o dal risultato della creazione corrispondente.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/alerts/<id>/acknowledge' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Acknowledge an alert through the automation service. Send idempotencyKey in the request body and follow the returned operation receipt. It does not fix the fault.",
"operationId": "post_v1_automation_alerts_id_acknowledge",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Acknowledge a monitor alert",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}GETInstradamento degli allerti per liste/v1/automation/companies/{companyId}/alert-routing
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
GET /v1/automation/companies/{companyId}/alert-routing ↗mcp.cap.AutomationRead
Schemi (OpenAPI)
AutomationAlertRoutingKind
0 = QuietHours 1 = ParentDependency
Parametri
companyId· Percorso · richiesto- Identificativo azienda. Un parametro di query restringe i risultati a questa azienda; non espande mai l'ambito delle credenziali.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/alert-routing' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_alert_routing",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/AutomationAlertRoutingInput"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List alert routing",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTEsclusioni di patch di salvataggio/v1/automation/companies/{companyId}/patch-exclusions
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
PUT /v1/automation/companies/{companyId}/patch-exclusions ↗mcp.cap.PatchingManage + mcp.cap.PatchingExecute
Parametri
companyId· Percorso · richiesto- Identificativo azienda. Un parametro di query restringe i risultati a questa azienda; non espande mai l'ambito delle credenziali.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/patch-exclusions' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_companies_companyId_patch_exclusions",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Save patch exclusions",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingManage",
"mcp.cap.PatchingExecute"
]
}GETTag elenco/v1/automation/companies/{companyId}/tags
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
GET /v1/automation/companies/{companyId}/tags ↗mcp.cap.AutomationRead
Parametri
companyId· Percorso · richiesto- Identificativo azienda. Un parametro di query restringe i risultati a questa azienda; non espande mai l'ambito delle credenziali.
after· Interrogazione · opzionale- Posizione di continuazione dalla risposta precedente. Omettere per la prima pagina; mantenere gli stessi filtri quando si continua.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/companies/<companyId>/tags' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_companies_companyId_tags",
"parameters": [
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "path",
"name": "companyId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationTagPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}GETPolicy di configurazione per liste/v1/automation/configuration-policies
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
GET /v1/automation/configuration-policies ↗mcp.cap.AutomationRead
Schemi (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
AutomationState
0 = Draft 1 = Enabled 2 = Paused 3 = Archived
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_configuration_policies",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/ConfigurationBaselineListItem"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List configuration policies",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTCrea una policy di configurazione/v1/automation/configuration-policies
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
POST /v1/automation/configuration-policies ↗mcp.cap.AutomationManage + mcp.cap.SettingsManage
Schemi (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_configuration_policies",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.SettingsManage"
]
}POSTPolicy di configurazione per l'anteprima/v1/automation/configuration-policies/preview
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
POST /v1/automation/configuration-policies/preview ↗mcp.cap.AutomationRead + mcp.cap.SecurityRead
Schemi (OpenAPI)
ConfigurationBaselineControl
0 = Firewall 1 = BitLocker 2 = LocalAdministrators 3 = ScreenLock 4 = UsbStorage
ConfigurationBaselineMode
0 = Audit 1 = Enforce
BaselineUsbAccess
0 = Allow 1 = ReadOnly 2 = Block
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
DayOfWeek
0 = Sunday 1 = Monday 2 = Tuesday 3 = Wednesday 4 = Thursday 5 = Friday 6 = Saturday
AutomationSimpleTriggerKind
0 = Once 1 = EveryMinutes 2 = Daily 3 = Weekdays 4 = Weekly 5 = Monthly 6 = DeviceOnline 7 = DeviceOffline 8 = DeviceBooted 9 = FactsChanged 10 = UserLogon 11 = UserLogoff 12 = SessionLocked 13 = SessionUnlocked 14 = RdpConnected 15 = RdpDisconnected 16 = MachineShuttingDown 17 = MachinePoweredOn 18 = AgentServiceStarted 19 = AgentServiceStopped 20 = MachineSuspending 21 = MachineResumed 22 = Cron
AutomationScopeKind
0 = Organization 1 = Company 2 = Site 3 = Device
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"description": "<value>",
"name": "<value>",
"policy": {
"control": 0
},
"schedule": {
"kind": 0
},
"scope": {
"kind": 0
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/configuration-policies/preview' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "post_v1_automation_configuration_policies_preview",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConfigurationBaselineInput"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AutomationSimpleScopePreview"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Preview configuration policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead",
"mcp.cap.SecurityRead"
]
}POSTInstalla Windows patch/v1/automation/devices/{deviceId}/patch-install
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
POST /v1/automation/devices/{deviceId}/patch-install ↗mcp.cap.PatchingExecute
Parametri
deviceId· Percorso · richiesto- Identificatore del dispositivo restituito dall'elenco dei dispositivi corrispondente. Gli agenti gestiti e i dispositivi di rete rilevati hanno identificatori diversi.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"revisionNumber": 1,
"updateId": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/patch-install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_patch_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfPatchUpdateIdentity"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install Windows patch",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETOttieni i tag dei dispositivi/v1/automation/devices/{deviceId}/tags
Leggi le prove attuali con scopo. Le prove mancanti sono sconosciute. Nessuna azione finale o accusa AI viene avviata.
GET /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationRead
Parametri
deviceId· Percorso · richiesto- Identificatore del dispositivo restituito dall'elenco dei dispositivi corrispondente. Gli agenti gestiti e i dispositivi di rete rilevati hanno identificatori diversi.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read current scoped evidence. Missing evidence is unknown. No endpoint action or AI charge is started.",
"operationId": "get_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/IntegrationTagView"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}PUTAssegna tag di dispositivo/v1/automation/devices/{deviceId}/tags
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
PUT /v1/automation/devices/{deviceId}/tags ↗mcp.cap.AutomationManage
Parametri
deviceId· Percorso · richiesto- Identificatore del dispositivo restituito dall'elenco dei dispositivi corrispondente. Gli agenti gestiti e i dispositivi di rete rilevati hanno identificatori diversi.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": [
"<UUID>"
]
}'
Invoke-RestMethod -Method PUT `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/tags' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "put_v1_automation_devices_deviceId_tags",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid[]"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Assign device tags",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage"
]
}POSTReset Windows aggiornamento/v1/automation/devices/{deviceId}/update-reset
Richiede FullAccess e l'autorizzazione attuale del proprietario. Fornisci una chiave di idempotenza, riutilizza la stessa richiesta after incertezza e ispeziona la ricevuta operativa.
POST /v1/automation/devices/{deviceId}/update-reset ↗mcp.cap.PatchingExecute
Parametri
deviceId· Percorso · richiesto- Identificatore del dispositivo restituito dall'elenco dei dispositivi corrispondente. Gli agenti gestiti e i dispositivi di rete rilevati hanno identificatori diversi.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<deviceId>/update-reset' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Requires FullAccess and current owner authority. Supply an idempotency key, reuse the identical request after uncertainty, and inspect the operation receipt.",
"operationId": "post_v1_automation_devices_deviceId_update_reset",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Reset Windows update",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}POSTEsegui una policy di patch/v1/automation/devices/{id}/patch-runs
Richiedi l'esecuzione di una policy patch sul dispositivo autorizzato selezionato.
POST /v1/automation/devices/{id}/patch-runs ↗mcp.cap.PatchingExecute
Parametri
id· Percorso · richiesto- Identificatore restituito dall'elenco di risorse o dal risultato della creazione corrispondente.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-runs' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Request a patch-policy run on the selected authorised device.",
"operationId": "post_v1_automation_devices_id_patch_runs",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Run a patch policy",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingExecute"
]
}GETLeggi lo stato della policy patch del dispositivo/v1/automation/devices/{id}/patch-status
Legge lo stato della politica di patch del dispositivo e le informazioni sulle patch segnalate.
GET /v1/automation/devices/{id}/patch-status ↗mcp.cap.PatchingRead
Schemi (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
Parametri
id· Percorso · richiesto- Identificatore restituito dall'elenco di risorse o dal risultato della creazione corrispondente.
offset· Interrogazione · opzionale- Numero di elementi da saltare, a partire da zero. Continua a utilizzare l'offset restituito dall'endpoint quando disponibile.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/devices/<id>/patch-status' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Read the device's patch-policy status and reported patching information.",
"operationId": "get_v1_automation_devices_id_patch_status",
"parameters": [
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "id",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DevicePatchStatusView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device patch-policy status",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}POSTModificare l'arresto di emergenza/v1/automation/emergency-stop
Imposta lo stato di arresto di emergenza dell'automazione. Esaminare il risultato prima di presumere che il lavoro attivo sia stato interrotto.
POST /v1/automation/emergency-stop ↗mcp.cap.AutomationStop
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/emergency-stop' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Set the automation emergency-stop state. Inspect the result before assuming active work has stopped.",
"operationId": "post_v1_automation_emergency_stop",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Change the emergency stop",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationStop"
]
}GETElenca i gruppi intelligenti/v1/automation/groups
Sfoglia i gruppi di dispositivi di automazione e le relative definizioni.
GET /v1/automation/groups ↗mcp.cap.AutomationRead
Schemi (OpenAPI)
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
OsKind
0 = Windows 1 = MacOs 2 = Linux 3 = Android 4 = Ios
AutomationFactValueType
0 = String 1 = Boolean 2 = Integer 3 = Number 4 = Timestamp 5 = Duration 6 = Guid 7 = Collection 8 = Object
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headersSchema di richiesta e risposta (OpenAPI)
{
"description": "Browse automation device groups and their definitions.",
"operationId": "get_v1_automation_groups",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiGroupsWorkspace"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List smart groups",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationRead"
]
}POSTCrea un gruppo intelligente/v1/automation/groups
Creare un gruppo di automazione utilizzando le regole di selezione fornite.
POST /v1/automation/groups ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
Schemi (OpenAPI)
AutomationConditionKind
0 = All 1 = Any 2 = Not 3 = Predicate
AutomationConditionOperator
0 = Equal 1 = NotEqual 2 = GreaterThan 3 = GreaterThanOrEqual 4 = LessThan 5 = LessThanOrEqual 6 = Contains 7 = NotContains 8 = StartsWith 9 = EndsWith 10 = In 11 = NotIn 12 = Exists 13 = NotExists 14 = OlderThan 15 = NewerThan 16 = CountEqual 17 = CountGreaterThan 18 = CountLessThan 19 = Changed 20 = ChangedFrom 21 = ChangedTo 22 = ServiceMatches 23 = ServiceMissing 24 = SoftwareMatches 25 = DriveMatches
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"companyId": "<UUID>",
"condition": {
"kind": 0
},
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/automation/groups' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Schema di richiesta e risposta (OpenAPI)
{
"description": "Create an automation group using the supplied selection rules.",
"operationId": "post_v1_automation_groups",
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationGroupDefinition"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Create a smart group",
"tags": [
"Automation"
],
"x-required-capabilities": [
"mcp.cap.AutomationManage",
"mcp.cap.AutomationExecute"
]
}POSTElimina un gruppo intelligente/v1/automation/groups/delete
Rimuove il gruppo di automazioni selezionato.
POST /v1/automation/groups/delete ↗mcp.cap.AutomationManage + mcp.cap.AutomationExecute
Parametri
Nessun parametro di percorso, query o intestazione.
Esempio di richiesta
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
[...]
